=== debian/changelog ===
qdacco (1.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Improve Description in Control.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 10 Feb 2021 15:36:10 +0100

qdacco (1.0.3-1) unstable; urgency=medium

  * Bump standards. No changes
  * Drop file. No exists TODO file.
  * Increase watch-file-standard. No changes.
  * New upstream version.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2020 17:33:34 +0100

qdacco (1.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ Leopold Palomo-Avellaneda ]
  * New Maintainer. Closes: #922900
  * Bump standards and debhelper. No changes.
  * Update copyright.
  * Added R³.
  * Added Hardening options.
  * New upstream version.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 22 Sep 2020 18:54:27 +0200
