=== debian/control ===
Source: qdacco
Section: text
Priority: optional
Maintainer: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/qdacco
Vcs-Git: https://salsa.debian.org/debian/qdacco.git
Homepage: https://github.com/cpina/qdacco

Package: qdacco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacco-common
Suggests: festival
Description: Offline Catalan <-> English dictionary desktop application
 qdacco it's a graphical application providing a frontend to DACCO, a free
 Catalan-English dictionary. It's a small desktop application using Qt as
 widget library.
