=== nongui/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,11 @@
 INCLUDE(${QT_USE_FILE})
 
 set(qdaccolib_SRCS Auxiliar.cpp 
-			StructureList.cpp  StructureParser.cpp
+			StructureList.cpp
 			WordData.cpp)
 
 set(qdacco_HDRS qdacco/Auxiliar.h qdacco/StructureList.h
-qdacco/StructureParser.h qdacco/WordData.h)
+qdacco/WordData.h)
 
 
 set(qdaccolib_MOCS)
