=== debian/changelog ===
qdacco (1.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Update copyrights years.
  * Incorporate Carles changes.
  * Update Standards-Version to current version: 4.7.2.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 08 Apr 2025 22:52:17 +0200
