=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), qtbase5-dev (>= 5.5.1), libglib2.0-dev, cmake, dpkg-dev (>= 1.16.9)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/qdacco
 Vcs-Git: https://salsa.debian.org/debian/qdacco.git
