=== debian/tests/control ===
Test-Command: QT_QPA_PLATFORM=offscreen qdacco -h 2>&1 | grep "Just qdacco to just use qdacco"
Depends: qdacco
Features: test-name=qdacco_h_print_help_check
